Lavalite package that provides love management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `love/love`.

    "love/love": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Love\Love\Providers\LoveServiceProvider::class,

And also add it to alias

    'Love'  => Love\Love\Facades\Love::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Love\\Love\\Seeders\\LoveTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Love\Love\Providers\LoveServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Love\Love\Providers\LoveServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Love\Love\Providers\LoveServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/love/{modulename}

**User**

    http://path-to-route-folder/user/love/{modulename}

**Public**

    http://path-to-route-folder/love


### API endpoints

**List**

    http://path-to-route-folder/api/user/love/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/love/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/love/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/love/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/love/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/love/{modulename}/{slug}
    METHOD: GET